classification
Title: Compile fails with --without-signal-module
Type: compile error Stage: resolved
Components: Build Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: KHH, berker.peksag, vstinner
Priority: normal Keywords:

Created on 2014-11-30 23:27 by KHH, last changed 2016-09-28 22:45 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
python-compile-errors.txt KHH, 2014-11-30 23:27 Relevant error messages
Messages (2)
msg231910 - (view) Author: KHH (KHH) * Date: 2014-11-30 23:27
When compiling with the ./configure --without-signal-module the configure file adds Parser/intrcheck.o to SIGNAL_OBJS, but the corresponding Parser/intercheck.c has been removed from the build tree. 

Removing the Parser/intrcheck.o causes the build to fail due to undefined references.

The error logs are attached.
msg277671 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-28 22:45
Thanks for the report, but --with(out)-signal-module option has been removed in d5bb5ad5a108.
History
Date User Action Args
2016-09-28 22:45:37berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg277671

resolution: out of date
stage: resolved
2014-12-01 23:21:08pitrousetnosy: + vstinner
2014-11-30 23:27:42KHHcreate